#!/bin/bash

platDir=../plat
platModuleList="8ecp aif bicc debug haepub iptrans isdn isup m2ua mgc mgcp mgc_v2 mtp3 pal public rtp sccp scf sip smpp snmp tcap xapp"
for mod in $platModuleList; do
	echo "====================== make $mod ======================="
	cd $platDir/$mod
	#make clean
	make

	if [ $mod == "iptrans" ]; then
		./mkiptrans.sh
		cp -f ./iptrans ../../bin/
	fi

	cd -
	echo ""
done
